## kbfx-trinity 14.0.12

=== plugins/plasmoids/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/kbfxlib/common
  ${CMAKE_SOURCE_DIR}/kbfxlib/data
  ${CMAKE_SOURCE_DIR}/plugins/common
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kbfxlib/common
  ${CMAKE_BINARY_DIR}/kbfxlib/data
)


##### kbfxplasmadataplasmoid ####################

set( target kbfxplasmadataplasmoid )

set( ${target}_SRCS
  kbfxplasmadatapluginplosmoid.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
#   VERSION 4.2.0
  LINK DCOP-shared tdecore-shared tdeui-shared tdeio-shared tdehtml-shared ${M_LIBRARY} kbfxdata-shared
  DESTINATION ${LIB_INSTALL_DIR}/kbfx/plugins
)


##### headers #######################################

file( GLOB HEADERS *.h )
INSTALL(FILES ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kbfx/plugins)

## kbfx-trinity 3.5.13.2

=== debian/changelog ===
kbfx-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 08 Jun 2013 17:58:48 +0200

kbfx-trinity (0.4.9.3.1-2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kbfx-trinity (0.4.9.3.1-1) intrepid; urgency=low

  * Moved to /opt/trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 29 Mar 2009 23:49:00 -0600

kbfx (0.4.9.3.1-1) unstable; urgency=low

  * New upstream release. (Closes: #414217, #421761)

  [Fathi Boudra]
  * Remove xdg appsdir patch. Merged upstream.

  [Mark Purcell]
  * Update debian/watch.
  * Robust get-orig-source target.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 17 May 2007 09:03:51 +0200

kbfx (0.4.9.3~20070117-1) experimental; urgency=low

  * New upstream release
  * convert package to cmake
  * Update 10_use_xdg_appsdir and 11_fix_desktop_categories patches.
  * Add 2 patches to fix doc path and files to install.
  * control: replace automake1.8 by cmake as depends
  * docs: update to reflect new doc path
  * Cleanup lintian overrides
  * rules: for empty LIB_SUFFIX as kbfx doesn't detect it properly.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 19 Jan 2007 01:44:58 +0100

kbfx (0.4.9.2~rc4-1) unstable; urgency=low

  * New upstream release (Closes: #385466)
  * Add ./debian/rules get-orig-source for http://buildserver.net
  * Remove rc3 patch

 -- Fathi Boudra <fboudra@free.fr>  Mon, 20 Nov 2006 11:10:47 +0100

kbfx (0.4.9.2~rc3-2) unstable; urgency=low

  * Add patch to sync properly with rc3 changes

 -- Fathi Boudra <fboudra@free.fr>  Thu,  9 Nov 2006 10:35:42 +0100

kbfx (0.4.9.2~rc3-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fboudra@free.fr>  Wed, 18 Oct 2006 15:05:05 +0200

kbfx (0.4.9.2~rc2-1) unstable; urgency=low

  * Fix kbfxconfig.desktop categories (Closes: #384257)
  * Remove autoconf 2.60 patch, merged upstream
  * Add patch to install desktop file in xdg apps dir
  * Remove source.lintian-overrides, CVS dir fixed

 -- Fathi Boudra <fboudra@free.fr>  Mon, 25 Sep 2006 16:00:59 +0200

kbfx (0.4.9.1+20060611cvs-1) unstable; urgency=low

  * New upstream release
  * Fix autoconf2.60 detection (Closes: #380026)
  * Clean up copyright file
  * Clean up source.lintian-overrides
  * Clean up rules

 -- Fathi Boudra <fboudra@free.fr>  Wed,  2 Aug 2006 08:10:12 +0200

kbfx (0.4.9.1-1) unstable; urgency=low

  * Initial release (Closes: #335238)
  * lintian override: special comment about rpath problem

 -- Fathi Boudra <fboudra@free.fr>  Mon, 26 Jun 2006 16:23:48 +0200

=== debian/control ===
Source: kbfx-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, cmake, kdelibs4-trinity-dev
Standards-Version: 3.8.4

Package: kbfx-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbfx-kde3 (<< 4:3.5.13)
Breaks: kbfx-kde3 (<< 4:3.5.13)
Description: an alternative to K-Menu for KDE [Trinity]
 KBFX is an alternative to the classical K-Menu button and its menu.
 It improves the user experience by enabling him to set a bigger (and thus more
 visible) start button and by finally replacing the Win95-like K-Menu.
 If you still want the old menu, because you're used to it, it is still
 available as an option in kbfx. We recommend, however, that you give the Spinx
 bar a try.
 .
  Homepage: http://www.kbfx.org

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL = http://www.$(DEB_SOURCE_PACKAGE).org/release/0.4.9/testing/$(UPFILENAME)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

#CMAKE_LIBRARY_PATH := /opt/trinity/lib 
#CMAKE_INCLUDE_PATH := /opt/trinity/include/kde

include debian/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CMAKE_EXTRA_FLAGS = -DLIB_SUFFIX="" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DCMAKE_INSTALL_PREFIX="/opt/trinity/" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)

print-version:
	@@echo DEB_SOURCE_PACKAGE: $(DEB_SOURCE_PACKAGE)
	@@echo DEB_VERSION: $(DEB_VERSION)
	@@echo DEB_NO_EPOCH_VERSION: $(DEB_NOEPOCH_VERSION)
	@@echo DEB_UPSTREAM_VERSION: $(DEB_UPSTREAM_VERSION)
	@@echo FILENAME: $(FILENAME)
	@@echo URL: $(URL)

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	mkdir -p debian/kbfx-trinity/opt/trinity/lib64/
	touch debian/kbfx-trinity/opt/trinity/lib64/BLANKFILE
	mkdir -p debian/kbfx-trinity/opt/trinity/lib/
	cp -Rp debian/kbfx-trinity/opt/trinity/lib64/* debian/kbfx-trinity/opt/trinity/lib/
	rm -rf debian/kbfx-trinity/opt/trinity/lib64/
	rm -f debian/kbfx-trinity/opt/trinity/lib/BLANKFILE
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_installdirs
	dh_installdocs
	dh_installmenu
	dh_installmime
	dh_installcron
	dh_installman
	dh_desktop
	dh_installinfo
	dh_installchangelogs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch

=== debian/watch ===
version=3
opts=dversionmangle=s/~/-/ \
  http://www.kbfx.org/release/0.4.9/sources/kbfx-([\d]\.[\d].*)\.tar\.bz2	debian	svn-upgrade
opts=dversionmangle=s/~/-/ \
  http://www.kbfx.org/release/0.4.9/testing/kbfx-(.*)\.tar\.bz2	debian	svn-upgrade

## kbfx-trinity 14.0.4

=== debian/changelog ===
kbfx-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:11:41 +0200

## kbfx-trinity 14.0.5

=== debian/changelog ===
kbfx-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:16:39 +0200

=== debian/control ===
Source: kbfx-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
Standards-Version: 3.8.4

Package: kbfx-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
Breaks: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
Description: an alternative to T-Menu for TDE [Trinity]
 KBFX is an alternative to the classical T-Menu button and its menu.
 It improves the user experience by enabling him to set a bigger (and thus more
 visible) start button and by finally replacing the Win95-like T-Menu.
 If you still want the old menu, because you're used to it, it is still
 available as an option in kbfx. We recommend, however, that you give the Spinx
 bar a try.
 .
  Homepage: http://www.kbfx.net

## kbfx-trinity 14.0.6

=== debian/changelog ===
kbfx-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:12:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kbfx-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
-Breaks: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
+Replaces: kbfx-trinity (<< 4:14.0.0~)
+Breaks: kbfx-trinity (<< 4:14.0.0~)
 Description: an alternative to T-Menu for TDE [Trinity]
  KBFX is an alternative to the classical T-Menu button and its menu.
  It improves the user experience by enabling him to set a bigger (and thus more

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_CMAKE_EXTRA_FLAGS =\
 -DLIB_SUFFIX="" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity/" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_ALL="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## kbfx-trinity 14.0.8

=== debian/changelog ===
kbfx-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:46:13 +0200

## kbfx-trinity 14.0.9

=== debian/changelog ===
kbfx-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:36:40 +0200

## kbfx-trinity 14.0.10

=== debian/changelog ===
kbfx-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kbfx-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbfx-trinity

## kbfx-trinity 14.0.11

=== debian/changelog ===
kbfx-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 16 Aug 2021 00:24:52 +0200

## kbfx-trinity 14.0.12

=== debian/changelog ===
kbfx-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:28:19 +0100

## kbfx-trinity 14.0.13

=== debian/changelog ===
kbfx-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:16:40 +0200

## kbfx-trinity 14.1.0

=== debian/changelog ===
kbfx-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Apr 2023 15:15:14 +0200

## kbfx-trinity 14.1.1

=== plugins/recentstuff/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/kbfxlib/common
  ${CMAKE_SOURCE_DIR}/kbfxlib/data
  ${CMAKE_SOURCE_DIR}/plugins/common
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kbfxlib/common
  ${CMAKE_BINARY_DIR}/kbfxlib/data
)


##### kbfxplasmarecentstuff #####################

set( target kbfxplasmarecentstuff )

set( ${target}_SRCS
  kbfxplasmarecentstuff.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
#   VERSION 4.2.0
  LINK DCOP-shared tdecore-shared tdeui-shared tdeio-shared tdehtml-shared ${M_LIBRARY} kbfxdata-shared
  DESTINATION ${LIB_INSTALL_DIR}/kbfx/plugins
)


##### headers #######################################

file( GLOB HEADERS *.h )
INSTALL(FILES ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kbfx/plugins)

=== debian/changelog ===
kbfx-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:50:47 +0200

## kbfx-trinity 14.1.2

=== debian/changelog ===
kbfx-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Mar 2024 23:11:57 +0100

## kbfx-trinity 14.1.3

=== debian/changelog ===
kbfx-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 10 Jul 2024 23:02:59 +0200

## kbfx-trinity 14.1.4

=== debian/changelog ===
kbfx-trinity (4:14.1.4-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 23:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbfx-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kbfx-trinity (<< 4:14.0.0~)
-Breaks: kbfx-trinity (<< 4:14.0.0~)
+Replaces: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
+Breaks: kbfx-kde3 (<< 4:14.0.0~), kbfx-trinity (<< 4:14.0.0~)
 Description: an alternative to T-Menu for TDE [Trinity]
  KBFX is an alternative to the classical T-Menu button and its menu.
  It improves the user experience by enabling him to set a bigger (and thus more

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS =\
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity/" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_ALL="ON"

## kbfx-trinity 14.1.5~pre1

=== debian/changelog ===
kbfx-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 6af8430d344c649bf6e94467673cb857d383272f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbfx-trinity 14.1.5

=== doc/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( en )

install(
    FILES
	AUTHORS
#	ChangeLog
#	COPYING
	CREDITS
	HACKING
#	HOWTO
#	INSTALL
#	KNOWN_BUGS
#	LICENSE
#	NEWS
#	README
#	TODO
    DESTINATION
        ${SHARE_INSTALL_PREFIX}/doc/kbfx
)

=== plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( applications )
add_subdirectory( common )
add_subdirectory( plasmoids )
add_subdirectory( recentstuff )
add_subdirectory( settings )
tde_conditional_add_subdirectory( USE_STRIGI strigi )

=== doc/en/CMakeLists.txt ===
#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( LANG en DESTINATION kbfxconfigapp )

=== plugins/common/CMakeLists.txt ===
file(GLOB HEADERS *.h)

install(FILES ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kbfx/plugins)

=== skin/raster/2panels/CMakeLists.txt ===
file(GLOB PNGFILES *.png kbfxlayoutrc kbfxfontrc version-2 )

install(FILES ${PNGFILES}
    DESTINATION ${DATA_INSTALL_DIR}/kbfx/skins/2panels)

=== skin/raster/default/CMakeLists.txt ===
file(GLOB PNGFILES *.png kbfxlayoutrc kbfxfontrc version-2 )

install(FILES ${PNGFILES}
    DESTINATION ${DATA_INSTALL_DIR}/kbfx/skins/default)

=== debian/changelog ===
kbfx-trinity (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kbfx-trinity

## kbfx-trinity 14.1.6~pre0

=== debian/changelog ===
kbfx-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6af8430d344c649bf6e94467673cb857d383272f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbfx-trinity 14.1.6~pre1

=== debian/changelog ===
kbfx-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3b1e2e87d4cdfc8314ddb2ce2cf84b157619f478
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:03:18 +0100

## kbfx-trinity 14.2.0~pre33

=== debian/changelog ===
kbfx-trinity (4:14.2.0~pre33-0ubuntu24.04.0+6) noble; urgency=low

  * Automated git build for 6d588fc13e21d9f3f2ad286e92248da5e33d9bcb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS =\
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## kbfx-trinity 14.2.0~pre34

=== debian/changelog ===
kbfx-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2a7e2e31d6a3d833172491d5fdf731bbdcc4c6c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbfx

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:05:33 +0100
